<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>UNIQORN -- The Universal Neural-network Interface for Quantum Observable Readout from N-body wavefunctions: Runtime_check Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="Uniqorn_logo_230.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">UNIQORN -- The Universal Neural-network Interface for Quantum Observable Readout from N-body wavefunctions
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('namespaceRuntime__check.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">Runtime_check Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a3e0d4aac87e7ff2cdcc16c694c17548f"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRuntime__check.html#a3e0d4aac87e7ff2cdcc16c694c17548f">runtime_checks</a> ()</td></tr>
<tr class="separator:a3e0d4aac87e7ff2cdcc16c694c17548f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a8fc57ab646214acbf02bfab8f6dc2994"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRuntime__check.html#a8fc57ab646214acbf02bfab8f6dc2994">tfVERSION</a> = tf.version.VERSION</td></tr>
<tr class="separator:a8fc57ab646214acbf02bfab8f6dc2994"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d145fdc5d70b3af8b6ef8e1c53cd711"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRuntime__check.html#a6d145fdc5d70b3af8b6ef8e1c53cd711">pythonVERSION</a> = str(sys.version_info.major)+'.'+str(sys.version_info.minor)+'.'+str(sys.version_info.micro)</td></tr>
<tr class="separator:a6d145fdc5d70b3af8b6ef8e1c53cd711"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac24f4d4ee72b64db7f81bbfc686da91c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRuntime__check.html#ac24f4d4ee72b64db7f81bbfc686da91c">numpyVERSION</a> = numpy.__version__</td></tr>
<tr class="separator:ac24f4d4ee72b64db7f81bbfc686da91c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2219d4757a1451b5fcf25fc05ec91fe2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRuntime__check.html#a2219d4757a1451b5fcf25fc05ec91fe2">matplotlibVERSION</a> = matplotlib.__version__</td></tr>
<tr class="separator:a2219d4757a1451b5fcf25fc05ec91fe2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22d74b292cd6fbd7d336b17db527569a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRuntime__check.html#a22d74b292cd6fbd7d336b17db527569a">scipyVERSION</a> = scipy.__version__</td></tr>
<tr class="separator:a22d74b292cd6fbd7d336b17db527569a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5aa172f97066c17be05d02ed40f49024"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRuntime__check.html#a5aa172f97066c17be05d02ed40f49024">NTrainDatasets</a> = inp.NDatasets*inp.TrainFraction</td></tr>
<tr class="separator:a5aa172f97066c17be05d02ed40f49024"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6cc5811129a8b4590154a61bbab8667f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRuntime__check.html#a6cc5811129a8b4590154a61bbab8667f">NTestDatasets</a> = inp.NDatasets*(1-inp.TrainFraction)</td></tr>
<tr class="separator:a6cc5811129a8b4590154a61bbab8667f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae01a818e6fdae4502a9858a14d0350d0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRuntime__check.html#ae01a818e6fdae4502a9858a14d0350d0">IDs_tot</a> = glob.glob(inp.DirName+'*/')</td></tr>
<tr class="memdesc:ae01a818e6fdae4502a9858a14d0350d0"><td class="mdescLeft">&#160;</td><td class="mdescRight">RUNTIME CHECKS ON DATA #########.  <a href="namespaceRuntime__check.html#ae01a818e6fdae4502a9858a14d0350d0">More...</a><br /></td></tr>
<tr class="separator:ae01a818e6fdae4502a9858a14d0350d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a3e0d4aac87e7ff2cdcc16c694c17548f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3e0d4aac87e7ff2cdcc16c694c17548f">&#9670;&nbsp;</a></span>runtime_checks()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Runtime_check.runtime_checks </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Perform runtime checks on python environment </pre> 
</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="ae01a818e6fdae4502a9858a14d0350d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae01a818e6fdae4502a9858a14d0350d0">&#9670;&nbsp;</a></span>IDs_tot</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Runtime_check.IDs_tot = glob.glob(inp.DirName+'*/')</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>RUNTIME CHECKS ON DATA #########. </p>

</div>
</div>
<a id="a2219d4757a1451b5fcf25fc05ec91fe2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2219d4757a1451b5fcf25fc05ec91fe2">&#9670;&nbsp;</a></span>matplotlibVERSION</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Runtime_check.matplotlibVERSION = matplotlib.__version__</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6cc5811129a8b4590154a61bbab8667f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6cc5811129a8b4590154a61bbab8667f">&#9670;&nbsp;</a></span>NTestDatasets</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Runtime_check.NTestDatasets = inp.NDatasets*(1-inp.TrainFraction)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5aa172f97066c17be05d02ed40f49024"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5aa172f97066c17be05d02ed40f49024">&#9670;&nbsp;</a></span>NTrainDatasets</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Runtime_check.NTrainDatasets = inp.NDatasets*inp.TrainFraction</td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">       RUNTIME CHECKS ON INPUT PARAMETERS            #########
</pre><p>some runtime checks on the input</p><pre class="fragment">Perform runtime checks for the consistency of the structure of the input data.

Parameters
----------
NONE

Returns
-------
NONE, executes runtime checks and aborts if there are inconsistencies.

References
----------

See Also
--------

Notes
-----

Examples
--------</pre> 
</div>
</div>
<a id="ac24f4d4ee72b64db7f81bbfc686da91c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac24f4d4ee72b64db7f81bbfc686da91c">&#9670;&nbsp;</a></span>numpyVERSION</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Runtime_check.numpyVERSION = numpy.__version__</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6d145fdc5d70b3af8b6ef8e1c53cd711"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6d145fdc5d70b3af8b6ef8e1c53cd711">&#9670;&nbsp;</a></span>pythonVERSION</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string Runtime_check.pythonVERSION = str(sys.version_info.major)+'.'+str(sys.version_info.minor)+'.'+str(sys.version_info.micro)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a22d74b292cd6fbd7d336b17db527569a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a22d74b292cd6fbd7d336b17db527569a">&#9670;&nbsp;</a></span>scipyVERSION</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Runtime_check.scipyVERSION = scipy.__version__</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8fc57ab646214acbf02bfab8f6dc2994"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8fc57ab646214acbf02bfab8f6dc2994">&#9670;&nbsp;</a></span>tfVERSION</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Runtime_check.tfVERSION = tf.version.VERSION</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceRuntime__check.html">Runtime_check</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
